%define name dmt-runtime
%define version 4.0.2
%define release 1
%define daswg   /usr
%define prefix  %{daswg}
%define _sysconfdir /etc
%define config_runflag --sysconfdir=%{_sysconfdir}
%if %{?_verbose}%{!?_verbose:0}
# Verbose make output
%define _verbose_make 1
%else
%if 1%{?_verbose}
# Silent make output
%define _verbose_make 0
%else
# DEFAULT make output
%define _verbose_make 1
%endif
%endif

Name: 		 %{name}
Summary: 	 DMT run-time software
Version: 	 %{version}
Release: 	 %{release}%{?dist}
License: 	 GPL
Group: 		 LSC Software/Data Analysis
Source: 	 https://software.igwn.org/lscsoft/source//%{name}-%{version}.tar.gz
%bcond_with docs

Packager:  John Zweizig (john.zweizig@ligo.org)
BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL: 		   https://wiki.ligo.org/Computing/DASWG/DMT
Prefix:		 %prefix
BuildRequires: automake, autoconf, m4, make
%if %{with docs}
BuildRequires: texlive-latex
BuildRequires: texlive-metafont
BuildRequires: texlive-mfware
BuildRequires: texlive-placeins
%endif
Requires:  automake, autoconf, m4, make
Obsoletes: %{name}-utilities-runtime = %{version}-%{release}
Obsoletes: %{name}-utilities-runtime <  %{version}-%{release}
Obsoletes: gds-base-runtime <= %{version}-%{release}
Provides:  gds-base-runtime
Provides:  gds-dmt-runtime
Requires:  gds-monitor-apps, gds-monitor-grafapps, gds-lowlatency-tools
Requires:  gds-dmt-monitors, gds-utilities-monitors, gds-base-web

%description
DMT run-time supervisor and services

%global debug_package %{nil}
%prep
%setup -q

%build
PKG_CONFIG_PATH=%{daswg}/%{_lib}/pkgconfig
ROOTSYS=/usr

export PKG_CONFIG_PATH ROOTSYS

./configure  \
    --prefix=%prefix \
    --libdir=%{_libdir} \
    --docdir=%{_docdir} \
    --includedir=%{prefix}/include/gds \
    %{config_runflag}
make V=%{_verbose_make}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# don't distribute *.la files
[ ${RPM_BUILD_ROOT} != "/" ] && find ${RPM_BUILD_ROOT} -name "*.la" -type f -delete

%files
%defattr(-,root,root)
%{_bindir}/*
%{_sysconfdir}/init.d/dmt-procmgt
%{_sysconfdir}/sysconfig/default-dmt-procmgt
%{_datadir}/gds/*
%if %{with docs}
%{_docdir}/gds/*
%endif

%changelog
# date +'%a %b %d %Y'
* Fri Mar 10 2023 Edwbbard Maros <ed.maros@ligo.org> - 4.0.0-1
- Updated for release as described in NEWS.md

* Sat Nov 19 2022 Edwbbard Maros <ed.maros@ligo.org> - 3.0.0-1
- Updated for release as described in NEWS.md
